GET api/MedicalExamDashBoard/GetDashboardGroupSchedule?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfGroupScheduleDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of GroupScheduleDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationCode": "sample string 1",
      "WLCode": "sample string 2",
      "TimePeriod": "2026-08-04T14:30:44.1640697-07:00",
      "ScheduleDate": "2026-08-04T14:30:44.1640697-07:00",
      "ScheduleTime": "00:00:00.1234567",
      "FacilityCode": "sample string 6",
      "OnSiteLocationId": 1,
      "OnSiteLocationName": "sample string 7",
      "Facility": "sample string 8",
      "GroupMedicalId": 9,
      "CompanyName": "sample string 10",
      "WLName": "sample string 11",
      "TotalEmployee": 12,
      "TotalExams": 13,
      "OpenExams": 14,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:44.1797084-07:00",
      "DateUpdated": "2026-08-04T14:30:44.1797084-07:00",
      "UserIDCreated": 18,
      "UserIDUpdated": 19
    },
    {
      "CorporationCode": "sample string 1",
      "WLCode": "sample string 2",
      "TimePeriod": "2026-08-04T14:30:44.1640697-07:00",
      "ScheduleDate": "2026-08-04T14:30:44.1640697-07:00",
      "ScheduleTime": "00:00:00.1234567",
      "FacilityCode": "sample string 6",
      "OnSiteLocationId": 1,
      "OnSiteLocationName": "sample string 7",
      "Facility": "sample string 8",
      "GroupMedicalId": 9,
      "CompanyName": "sample string 10",
      "WLName": "sample string 11",
      "TotalEmployee": 12,
      "TotalExams": 13,
      "OpenExams": 14,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:44.1797084-07:00",
      "DateUpdated": "2026-08-04T14:30:44.1797084-07:00",
      "UserIDCreated": 18,
      "UserIDUpdated": 19
    }
  ],
  "totalCount": 3
}